Skip to content

bank-files


Get entries

GET
/accounts/{accountUuid}/finances/v2/bank-files/{bankFileUuid}/entries

Get bank files entries

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
bankFileUuid*
Type
string
Required
Format
"uuid"

Query Parameters

page
Type
[ "integer", "null" ]
Default
1
Minimum
1
perPage
Type
[ "integer", "null" ]
Minimum
1

Responses

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"currencyCode": "string",
  
  
  
"accountCurrency": "string",
  
  
  
"amount": 0,
  
  
  
"chargedAmount": 0,
  
  
  
"direction": "string",
  
  
  
"exchangeRate": 0,
  
  
  
"isCollective": true,
  
  
  
"isIgnored": true,
  
  
  
"isPayroll": true,
  
  
  
"outReference": "string",
  
  
  
"reference": "string",
  
  
  
"status": "string",
  
  
  
"invoiceUuid": "string",
  
  
  
"invoiceId": 0,
  
  
  
"invoiceType": "string",
  
  
  
"invoiceNumber": "string",
  
  
  
"invoiceIsImported": true,
  
  
  
"additionalInfo": "string",
  
  
  
"addressName": "string",
  
  
  
"valueDate": "string"
  
  
}
  
],
  
"message": "string",
  
"status": 200,
  
"meta": {
  
  
"pagination": {
  
  
  
"currentPage": 0,
  
  
  
"firstPageUrl": "string",
  
  
  
"from": 1,
  
  
  
"lastPage": 0,
  
  
  
"lastPageUrl": "string",
  
  
  
"nextPageUrl": "string",
  
  
  
"perPage": 50,
  
  
  
"previousPageUrl": "string",
  
  
  
"to": 50,
  
  
  
"totalItems": 0
  
  
}
  
}
}

Playground

Authorization
Variables
Key
Value

Samples